Subject: [Ipsec] Issue on add new items to security association

From: Park Lee <[email-masked]>
Date: Sat, 13 Nov 2004 21:55:57 -0800 (PST)

Hi,
I'm using IPsec-tools as my user space tools for native IPsec of Linux kernel 2.6.
Now, I need to add some items to security association (SA), Then, I add those items to struct xfrm_state in include/net/xfrm.h. 
After having done this, How can I initiate these new added items and make them usable in the later process for packets? 
Need I make some changes to setkey or racoon in order to set values for these new added items and thus build a valid SA? and How to make change?

Thanks,

--
Best Regards,
Park Lee <[email-masked]> 

---------------------------------
Do you Yahoo!?
 Check out the new Yahoo! Front Page. www.yahoo.com

_______________________________________________
Ipsec mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ipsec